package com.qmth.teachcloud.mark.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 主观题得分明细表
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
@TableName("mark_header_subjective_score")
@ApiModel(value="MarkHeaderSubjectiveScore对象", description="主观题得分明细表")
public class MarkHeaderSubjectiveScore implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "考生ID")
    @MppMultiId(value = "student_id")
    private Long studentId;

    @ApiModelProperty(value = "大题号")
    @MppMultiId(value = "main_number")
    private Integer mainNumber;

    @ApiModelProperty(value = "小题号")
    @MppMultiId(value = "sub_number")
    private String subNumber;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "考试ID")
    private Long examId;

    @ApiModelProperty(value = "课程代码")
    private String paperNumber;

    @ApiModelProperty(value = "分组序号")
    private Integer groupNumber;

    @ApiModelProperty(value = "分组得分")
    private Double groupScore;

    @ApiModelProperty(value = "大题得分")
    private Double mainScore;

    @ApiModelProperty(value = "小题得分")
    private Double score;

    @ApiModelProperty(value = "是否合分")
    private Integer uncalculate;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "科组长ID")
    private Long userId;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }
    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }
    public String getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(String subNumber) {
        this.subNumber = subNumber;
    }
    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }
    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }
    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }
    public Double getGroupScore() {
        return groupScore;
    }

    public void setGroupScore(Double groupScore) {
        this.groupScore = groupScore;
    }
    public Double getMainScore() {
        return mainScore;
    }

    public void setMainScore(Double mainScore) {
        this.mainScore = mainScore;
    }
    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }
    public Integer getUncalculate() {
        return uncalculate;
    }

    public void setUncalculate(Integer uncalculate) {
        this.uncalculate = uncalculate;
    }
    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return "MarkHeaderSubjectiveScore{" +
            "studentId=" + studentId +
            ", mainNumber=" + mainNumber +
            ", subNumber=" + subNumber +
            ", examId=" + examId +
            ", paperNumber=" + paperNumber +
            ", groupNumber=" + groupNumber +
            ", groupScore=" + groupScore +
            ", mainScore=" + mainScore +
            ", score=" + score +
            ", uncalculate=" + uncalculate +
            ", userId=" + userId +
        "}";
    }
}
